CREATE TABLE "PUBLIC"."ADRESSE"
(
   ID integer PRIMARY KEY NOT NULL,
   HAUSNUMMER varchar(255),
   ORT varchar(255),
   PLZ varchar(255),
   STRASSE varchar(255)
)
;
CREATE TABLE "PUBLIC"."KONTO"
(
   KONTOART varchar(31) NOT NULL,
   ID integer PRIMARY KEY NOT NULL,
   KONTOSTAND decimal(19,2),
   NUMMER integer NOT NULL,
   KREDITLIMIT decimal(19,2),
   SOLLZINSSATZ decimal(19,2),
   UEBERZIEHUNGSZINSSATZ decimal(19,2),
   GUTHABENZINSSATZ decimal(19,2)
)
;
CREATE TABLE "PUBLIC"."KUNDE"
(
   ID integer PRIMARY KEY NOT NULL,
   GEBURTSDATUM date,
   GESCHLECHT varchar(255),
   KUNDENNUMMER integer,
   NACHNAME varchar(255),
   VORNAME varchar(255),
   WOHNORT_ID integer
)
;
CREATE TABLE "PUBLIC"."KUNDE_KONTO"
(
   KUNDEN_ID integer NOT NULL,
   KONTEN_ID integer NOT NULL,
   CONSTRAINT CONSTRAINT_6 PRIMARY KEY (KUNDEN_ID,KONTEN_ID)
)
;
CREATE TABLE "PUBLIC"."KUNDEGESAMT"
(
   KUNDENNUMMER integer NOT NULL,
   GESAMTGUTHABENKUNDE decimal(19,2) NOT NULL,
   NACHNAME varchar(255) NOT NULL,
   CONSTRAINT CONSTRAINT_3 PRIMARY KEY (KUNDENNUMMER,GESAMTGUTHABENKUNDE,NACHNAME)
)
;
CREATE UNIQUE INDEX PRIMARY_KEY_E ON "PUBLIC"."ADRESSE"(ID)
;
CREATE UNIQUE INDEX PRIMARY_KEY_4 ON "PUBLIC"."KONTO"(ID)
;
ALTER TABLE "PUBLIC"."KUNDE"
ADD CONSTRAINT FK457BBA561F8B37F
FOREIGN KEY (WOHNORT_ID)
REFERENCES "PUBLIC"."ADRESSE"(WOHNORT_ID)
;
CREATE UNIQUE INDEX PRIMARY_KEY_44 ON "PUBLIC"."KUNDE"(ID)
;
CREATE INDEX FK457BBA561F8B37F_INDEX_4 ON "PUBLIC"."KUNDE"(WOHNORT_ID)
;
ALTER TABLE "PUBLIC"."KUNDE_KONTO"
ADD CONSTRAINT FK1335124B8236E81F
FOREIGN KEY (KUNDEN_ID)
REFERENCES "PUBLIC"."KUNDE"(KUNDEN_ID)
;
ALTER TABLE "PUBLIC"."KUNDE_KONTO"
ADD CONSTRAINT FK1335124B2E3AAC95
FOREIGN KEY (KONTEN_ID)
REFERENCES "PUBLIC"."KONTO"(KONTEN_ID)
;
CREATE INDEX FK1335124B2E3AAC95_INDEX_6 ON "PUBLIC"."KUNDE_KONTO"(KONTEN_ID)
;
CREATE UNIQUE INDEX PRIMARY_KEY_6 ON "PUBLIC"."KUNDE_KONTO"
(
  KUNDEN_ID,
  KONTEN_ID
)
;
CREATE UNIQUE INDEX PRIMARY_KEY_3 ON "PUBLIC"."KUNDEGESAMT"
(
  KUNDENNUMMER,
  GESAMTGUTHABENKUNDE,
  NACHNAME
)
;
