drop table kundegesamt;
drop table kunde_konto;
drop table konto;
drop table kunde;
drop table adresse;

CREATE TABLE adresse
(
   id int PRIMARY KEY NOT NULL,
   hausnummer varchar(255),
   ort varchar(255),
   plz varchar(255),
   strasse varchar(255)
)
;
CREATE TABLE konto
(
   kontoart varchar(31) NOT NULL,
   id int PRIMARY KEY NOT NULL,
   kontostand decimal(19,2),
   nummer int NOT NULL,
   kreditlimit decimal(19,2),
   sollzinssatz decimal(19,2),
   ueberziehungszinssatz decimal(19,2),
   guthabenzinssatz decimal(19,2)
)
;
CREATE TABLE kunde
(
   id int PRIMARY KEY NOT NULL,
   geburtsdatum date,
   geschlecht char(1),
   kundennummer int,
   nachname varchar(255),
   vorname varchar(255),
   WOHNORT_ID int
)
;
CREATE TABLE kunde_konto
(
   kunden_id int NOT NULL,
   konten_id int NOT NULL,
   CONSTRAINT PRIMARY KEY (kunden_id,konten_id)
)
;

CREATE TABLE kundegesamt
(
   kundennummer int NOT NULL,
   gesamtguthabenkunde decimal(19,2) NOT NULL,
   nachname varchar(255) NOT NULL,
   CONSTRAINT kundegesamt_pkey PRIMARY KEY (kundennummer,gesamtguthabenkunde,nachname)
)
;

ALTER TABLE kunde
ADD CONSTRAINT fk457bba561f8b37f
FOREIGN KEY (wohnort_id)
REFERENCES adresse(id)
;

ALTER TABLE kunde_konto
ADD CONSTRAINT fk1335124b8236e81f
FOREIGN KEY (kunden_id)
REFERENCES kunde(id)
;

ALTER TABLE kunde_konto
ADD CONSTRAINT fk1335124b2e3aac95
FOREIGN KEY (konten_id)
REFERENCES konto(id)
;

