﻿Drop table KundeGesamt;
Drop table Kunde_Konto;
Drop table Kunde;
Drop table Konto;
Drop table Adresse;

CREATE TABLE "public"."adresse"
(
   id int PRIMARY KEY NOT NULL,
   hausnummer varchar(255),
   ort varchar(255),
   plz varchar(255),
   strasse varchar(255)
)
;
CREATE TABLE "public"."konto"
(
   kontoart varchar(31) NOT NULL,
   id int PRIMARY KEY NOT NULL,
   kontostand numeric(19),
   nummer int NOT NULL,
   kreditlimit numeric(19),
   sollzinssatz numeric(19),
   ueberziehungszinssatz numeric(19),
   guthabenzinssatz numeric(19)
)
;
CREATE TABLE "public"."kunde"
(
   id int PRIMARY KEY NOT NULL,
   geburtsdatum date,
   geschlecht char(1),
   kundennummer int,
   nachname varchar(255),
   vorname varchar(255),
   wohnort_id int
)
;
CREATE TABLE "public"."kunde_konto"
(
   kunden_id int NOT NULL,
   konten_id int NOT NULL,
   CONSTRAINT kunde_konto_pkey PRIMARY KEY (kunden_id,konten_id)
)
;
CREATE TABLE "public"."kundegesamt"
(
   kundennummer int NOT NULL,
   gesamtguthabenkunde numeric(19) NOT NULL,
   nachname varchar(255) NOT NULL,
   CONSTRAINT kundegesamt_pkey PRIMARY KEY (kundennummer,gesamtguthabenkunde,nachname)
)
;
ALTER TABLE "public"."kunde"
ADD CONSTRAINT fk457bba561f8b37f
FOREIGN KEY (wohnort_id)
REFERENCES "public"."adresse"(id)
;
ALTER TABLE "public"."kunde_konto"
ADD CONSTRAINT fk1335124b8236e81f
FOREIGN KEY (kunden_id)
REFERENCES "public"."kunde"(id)
;
ALTER TABLE "public"."kunde_konto"
ADD CONSTRAINT fk1335124b2e3aac95
FOREIGN KEY (konten_id)
REFERENCES "public"."konto"(id)
;
