/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */

package de.jpainfo.test;

import java.util.Arrays;
import java.util.List;
import java.util.Set;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import javax.persistence.Query;

public class CollectionInputTest {

    public static void main(String[] args) throws Exception {
        Provider.select("hibernate");

        EntityManagerFactory emf = Persistence.createEntityManagerFactory(
                "bank", DB.h2);
        EntityManager em = emf.createEntityManager();

        Query q = em.createQuery("select k.nachname, k.kundennummer from Kunde k " +
        		" where k.nachname in :namen");
        
        List<String> nl = Arrays.asList("Meier", "Schulze", "Wehr");
        
        q.setParameter("namen", nl);
        
        List<Object[]> l = q.getResultList();

        OutputHelper.output(l);

        em.close();
        emf.close();

    }

}
