/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */

package de.jpainfo.test;

import java.math.BigDecimal;
import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import javax.persistence.Query;

import de.jpainfo.model.Kunde;

public class FetchJoinHibernate {

    public static void main(String[] args) throws Exception {
        Provider.select("hibernate");

        EntityManagerFactory emf = Persistence.createEntityManagerFactory(
                "bank", DB.oracle);
        EntityManager em = emf.createEntityManager();
        
        // nur Hibernate !
        Query q = em.createQuery("  select k, kto.kontostand from Kunde k " 
               + " left join fetch k.wohnort "
               + " left join fetch k.konten kto "
               + " where k.geschlecht = 'm' " 
               + " and kto.kontostand < 0 ");

        List<Object[]> l = q.getResultList();

        for (Object[] o : l) {
            Kunde k = (Kunde) o[0];
            BigDecimal kontostand = (BigDecimal) o[1];
            System.out.println(k.getNachname() + " " + k.getWohnort().getOrt() + " " + kontostand );
        }

        em.close();
        emf.close();
    }
}
