/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */

package de.jpainfo.test;

import java.math.BigDecimal;
import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import javax.persistence.Query;
import javax.persistence.TypedQuery;

import de.jpainfo.model.Konto;
import de.jpainfo.model.Kunde;

public class FetchJoinTest {

    public static void main(String[] args) throws Exception {
        Provider.select("eclipselink");

        EntityManagerFactory emf = Persistence.createEntityManagerFactory(
                "bank", DB.h2);
        EntityManager em = emf.createEntityManager();

        // ohne Distinct mehrfache Kunden möglich !!
        TypedQuery<Kunde> q = em.createQuery("  select k from Kunde k " 
               + " left join fetch k.wohnort "
               + " left join fetch k.konten "
               + " where k.geschlecht = 'm' "
               + " and k.geburtsdatum < {d '1951-01-01'}", Kunde.class) ;

        List<Kunde> l = q.getResultList();

        for (Kunde k : l) {
           System.out.println(k.getNachname() + " " + k.getWohnort().getOrt() + k.getGeburtsdatum() );
        }

        em.close();
        emf.close();
    }
}
