/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */

package de.jpainfo.test;

import java.util.Calendar;
import java.util.GregorianCalendar;
import java.util.Iterator;
import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.FlushModeType;
import javax.persistence.Persistence;
import javax.persistence.Query;
import javax.persistence.Transient;

import de.jpainfo.model.Kunde;

public class FlushModeTest2 {

    public static void main(String[] args) throws Exception {
        Provider.select("hibernate");

        EntityManagerFactory emf = Persistence.createEntityManagerFactory(
                "bank", DB.h2);
        
        EntityManager em = emf.createEntityManager();
        em.setFlushMode(FlushModeType.COMMIT);
        em.getTransaction().begin();

        Kunde k = em.find(Kunde.class, 1);
        
        k.setNachname("Mueller-Wehr");
        
        Query q = em.createQuery("select k from Kunde k where k.nachname = 'Mueller-Wehr'");
        List<Kunde> l = q.getResultList();
        
        OutputHelper.outputList(l);
        
        em.getTransaction().commit();      
        em.close();
        emf.close();
    }
}
