/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */

package de.jpainfo.test;

import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import javax.persistence.Query;
import javax.persistence.TypedQuery;

import de.jpainfo.model.Kunde;

public class JPAInterfaces {

    public static void main(String[] args) throws Exception {
        Provider.select("hibernate");
        
        EntityManagerFactory emf = Persistence
                .createEntityManagerFactory("bank", DB.h2);
        EntityManager em = emf.createEntityManager();
        
        Query q = em.createQuery("select k from Kunde k where k.nachname "
                + " = 'Meier'");
        TypedQuery<Kunde>  tq = em.createQuery("select k from Kunde k where "
                + " k.nachname = 'Meier'", Kunde.class);
        
        List<Kunde> l = (List<Kunde>)q.getResultList();    
        List<Kunde> tl = tq.getResultList();
       
        for (Kunde kunde : tl) {
            System.out.println(kunde.getNachname() + " " +kunde.getVorname());
        }

       
        em.close();
        emf.close();
    }
}
