/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */

package de.jpainfo.test;

import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import javax.persistence.Query;

import de.jpainfo.model.Konto;
import de.jpainfo.model.Kunde;

public class KundeNegativesKontoTest {

    public static void main(String[] args) throws Exception {
        Provider.select("hibernate");

        EntityManagerFactory emf = Persistence.createEntityManagerFactory(
                "bank", DB.h2);
        EntityManager em = emf.createEntityManager();

        Query q = em.createQuery(" select k, kto "
                + " from Kunde k, in(k.konten) kto" 
                +  " where kto.kontostand < 0");

        List<Object[]> l = q.getResultList();

        for (Object[] o : l) {
            Kunde k = (Kunde)o[0];
            Konto kto = (Konto) o[1];
            System.out.println(k.getNachname() + " - "+kto.getKontostand());
        }

        em.close();
        emf.close();
    }
}
