/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */

package de.jpainfo.test;

import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import javax.persistence.TypedQuery;

import de.jpainfo.model.Girokonto;

public class OracleOptimizerTest {

    public static void main(String[] args) throws Exception {
        Provider.select("eclipselink");

        EntityManagerFactory emf = Persistence.createEntityManagerFactory(
                "bank", DB.oracle);
        EntityManager em = emf.createEntityManager();

        TypedQuery<Girokonto> tq = em.createNamedQuery("loadKontenHints", Girokonto.class);

        List<Girokonto> tl = tq.getResultList();

        for (Girokonto konto : tl) {
            System.out.println(konto.getNummer() + " " + konto.getKontostand());
        }

        em.close();
        emf.close();
    }
}
