/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */

package de.jpainfo.test;

import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import javax.persistence.TypedQuery;

import de.jpainfo.model.Kunde;

public class PositionalParameter {

    public static void main(String[] args) throws Exception {
        Provider.select("hibernate");
        
        EntityManagerFactory emf = Persistence
                .createEntityManagerFactory("bank", DB.h2);
        EntityManager em = emf.createEntityManager();
        
        TypedQuery<Kunde> tq = em.createQuery("select k from Kunde k "
                + " where k.id = ?", Kunde.class);
        tq.setParameter(1, 10);
        Kunde k = tq.getSingleResult();
        
        System.out.println(k.getId());
       
        em.close();
        emf.close();
    }
}
