/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */

package de.jpainfo.test;

import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import javax.persistence.TypedQuery;

import de.jpainfo.model.Kunde;

public class QuerySetResultTest {

    public static void main(String[] args) throws Exception {
        Provider.select("hibernate");
        
        EntityManagerFactory emf = Persistence
                .createEntityManagerFactory("bank", DB.h2);
        EntityManager em = emf.createEntityManager();
        
        TypedQuery<Kunde> tq = em.createQuery("select k from Kunde k "
                + " order by k.id", Kunde.class);
        tq.setFirstResult(0);
        tq.setMaxResults(10);
        List<Kunde> tl = tq.getResultList();
        for (Kunde kunde : tl) {
            System.out.println(kunde.getId());
        }

       
        em.close();
        emf.close();
    }
}
