/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */

package de.jpainfo.test;

import java.math.BigDecimal;
import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import javax.persistence.Query;
import javax.persistence.TypedQuery;

import de.jpainfo.model.Konto;
import de.jpainfo.model.Kunde;

public class ThetaJoinTest {

    public static void main(String[] args) throws Exception {
        Provider.select("hibernate");

        EntityManagerFactory emf = Persistence.createEntityManagerFactory(
                "bank", DB.h2);
        EntityManager em = emf.createEntityManager();

        TypedQuery<Konto> q = em.createQuery("select kto1 from Konto kto1, Konto kto2 "
                + " where kto1.kontostand <= kto2.kontostand" 
                + " and kto2.nummer = 837024", Konto.class) ;
        
        List<Konto> l = q.getResultList();

        for (Konto k : l) {
           System.out.println(k.getNummer() + " " + k.getKontostand());
        }

        em.close();
        emf.close();
    }
}
