/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */

package de.jpainfo.test;

import java.math.BigDecimal;
import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import javax.persistence.Query;
import javax.persistence.TypedQuery;

import de.jpainfo.model.Konto;
import de.jpainfo.model.Kunde;

public class UpdateTest {

    public static void main(String[] args) throws Exception {
        Provider.select("hibernate");

        EntityManagerFactory emf = Persistence.createEntityManagerFactory(
                "bank", DB.h2);
        EntityManager em = emf.createEntityManager();

        em.getTransaction().begin();

        Query q = em.createQuery("update Adresse a set a.ort "
                + "= :newName where a.ort = :oldName ");
        q.setParameter("oldName", "Hannover");
        q.setParameter("newName", "Hannover-Stadt");
        
        int result = q.executeUpdate();
        
        em.getTransaction().commit();
        System.out.println("Saetze veraendert: " + result);
        em.close();
        emf.close();  

    }

}
